Domain Registration API
POST /services/domains/v1/domain-cart/mine Auth

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.cart object
Unauthenticated
FieldTypeDescription
message string Error overview.
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/domains/v1/domain-cart/mine" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/domains/v1/domain-cart/mine', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json'  }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/domains/v1/domain-cart/mine');
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
r = requests.post("https://api.wemasy.nl/api/services/domains/v1/domain-cart/mine", headers=headers)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "cart": {
            "session_token": "string",
            "status": "string",
            "currency": "string",
            "total_price": 0,
            "item_count": 0,
            "is_claimed": true,
            "items": []
        }
    }
}

Try It

Export